org.apache.mina.proxy.handlers.http

## Class HttpSmartProxyHandler

- java.lang.Object
- - org.apache.mina.proxy.AbstractProxyLogicHandler
  - - org.apache.mina.proxy.handlers.http.AbstractHttpLogicHandler
    - - org.apache.mina.proxy.handlers.http.HttpSmartProxyHandler

- All Implemented Interfaces:
    ProxyLogicHandler

      public class HttpSmartProxyHandler
      extends AbstractHttpLogicHandler

  HttpSmartProxyHandler.java - HTTP proxy handler that automatically handles forwarding a request to the appropriate authentication mechanism logic handler.
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpSmartProxyHandler(ProxyIoSession proxyIoSession)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doHandshake(IoFilter.NextFilter nextFilter)` Performs the handshake processing.
    `void` | `handleResponse(HttpProxyResponse response)` Handle a HTTP response from the proxy server.

    - ### Methods inherited from class org.apache.mina.proxy.handlers.http.AbstractHttpLogicHandler

      `decodeResponse, messageReceived, writeRequest`

    - ### Methods inherited from class org.apache.mina.proxy.AbstractProxyLogicHandler

      `closeSession, closeSession, enqueueWriteRequest, flushPendingWriteRequests, getProxyFilter, getProxyIoSession, getSession, isHandshakeComplete, setHandshakeComplete, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpSmartProxyHandler

          public HttpSmartProxyHandler(ProxyIoSession proxyIoSession)

  - ### Method Detail

    - #### doHandshake

          public void doHandshake(IoFilter.NextFilter nextFilter)
                           throws ProxyAuthException

      Performs the handshake processing.
      Parameters:
        `nextFilter` - the next filter
      Throws:
        `ProxyAuthException` - if authentication fails

    - #### handleResponse

          public void handleResponse(HttpProxyResponse response)
                              throws ProxyAuthException

      Handle a HTTP response from the proxy server.
      Specified by:
        `handleResponse` in class `AbstractHttpLogicHandler`
      Parameters:
        `response` - The proxy response.
      Throws:
        `ProxyAuthException`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.